Bug 145434 - dont descend does not stop descent
dont descend does not stop descent
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: samba (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Simo Sorce
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2005-01-18 09:04 EST by David W. Legg
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-19 15:09:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David W. Legg 2005-01-18 09:04:53 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
Have smb.conf that is otherwise working and includes the following lines:

browsable = yes
path = /data
dont descend = /data/aba/CGI

Version-Release number of selected component (if applicable):
samba 3.0.9-1.3E.2

How reproducible:

Steps to Reproduce:
1. Set up smb.conf as above
2. service smb start
3. point NT explorer at data share
4. descend into /data/aba/CGI
5. should see nothing in CGI directory

Actual Results:  6. Could see contents of CGI directory and below.

Expected Results:  Should have seen the CGI directory as an empty

Additional info:

Tried dont descend = ./data/aba/CGI but this did not help.
Comment 1 Jay Fenlason 2005-01-18 15:30:59 EST
CIFS (and Windows in general) does wierd things with mixed-case 
directories.  I tried "dont descend = data/aba/cgi" and it worked as 
documented.  Re-read the section on page 521 of the HOWTO and 
Reference Guid where it says "Note that Samba can be very fussy 
about the exact format of the "dont descend" entries.  For example, 
you may need ./proc instead of just /proc.  Experimentation is the 
best policy. :-) 
Comment 2 David W. Legg 2005-01-21 14:37:00 EST
I tried the path with both upper and lower case directory names.
I tried it with and wihout the leading slash.
I tried it with './' at the beginning.
I even tried just naming the directory not to be descended, eg. 'CGI'.

It only worked when I tried it with a top level directory, eg. /proc
Multi-level paths, eg. /data/aba/CGI, just do not work.
Comment 3 Red Hat Bugzilla 2007-02-05 14:15:35 EST
REOPENED status has been deprecated. ASSIGNED with keyword of Reopened is preferred.
Comment 4 RHEL Product and Program Management 2007-10-19 15:09:04 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
For more information of the RHEL errata support policy, please visit:
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.